(package
  (maintainers "Marc Nieper-Wißkirchen <marc@nieper-wisskirchen.de>")
  (authors "Marc Nieper-Wißkirchen <marc@nieper-wisskirchen.de>")
  (version "0.1.3")
  (license gpl3)
  (library
    (name
      (rapid read))
    (path "rapid/read.sld")
    (depends
      (scheme base)
      (scheme char)
      (scheme file)
      (rapid assume)
      (rapid and-let)
      (rapid receive)
      (rapid list)
      (rapid format)
      (rapid vicinity)
      (rapid comparator)
      (rapid mapping)
      (rapid syntax)))
  (library
    (name
      (rapid read-test))
    (path "rapid/read-test.sld")
    (depends
      (scheme base)
      (scheme file)
      (scheme write)
      (rapid test)
      (rapid list)
      (rapid vicinity)
      (rapid syntax)
      (rapid read))
    (use-for test))
  (manual "rapid/read.html")
  (description "Scheme reader with source-location information.")
  (test "run-tests.scm"))
